package rechner;

import rechner.intern.Operand;
import rechner.intern.Addition;
import rechner.intern.Subtraktion;

public class Rechner {
  public static double berechne(double w1, String op, double w2) {
    Operand op1 = null;

    if (op.equals("+")) {
      op1 = new Addition();
    } else if (op.equals("-")) {
      op1 = new Subtraktion();
    }

    if (op1 == null) {
      return 0.0;
    } else {
      return op1.rechne(w1, w2);
    }
  }
}
